#define MESSAGE_ERR     0
#define MESSAGE_NORMAL  1
#define MESSAGE_ANSI    2
#define MESSAGE_NONE    3

#define bool int

typedef struct bmud{
	GtkWidget *window, *menu, *text, *stat, *ent, *hostentry, *portentry;
	GdkFont *disp_font;
	}bmud;
		
extern bmud *mud;
extern GtkWidget *spawn_gui( void );
extern void textfield_add( gchar *, int);
extern void cbox(void);

extern void do_alias(char *);
extern void show_map(void);
extern void show_wiz(void);
extern void show_eq(void);

extern void init_colors();
extern void disp_ansi(gchar *, GtkWidget *);
extern void disconnect ( void );
extern void make_connection ( char *host, char *port );
extern void open_connection (  const char *host, const char *port );
extern void send_to_connection ( GtkWidget *, gpointer data );
extern void read_from_connection (gpointer, gint , GdkInputCondition );

extern GdkColor color_white;
extern GdkColor color_black;
extern GdkColor color_blue;
extern GdkColor color_green;
extern GdkColor color_red;
extern GdkColor color_brown;
extern GdkColor color_purple;
extern GdkColor color_orange;
extern GdkColor color_yellow;
extern GdkColor color_lightgreen;
extern GdkColor color_cyan;
extern GdkColor color_lightcyan;
extern GdkColor color_lightblue;
extern GdkColor color_pink;
extern GdkColor color_grey;
extern GdkColor color_lightgrey;
extern GdkColor *foreground;
